package stk

import (
  . "gokurs/obj"
  "gokurs/seq"
)
type
  stack struct {
               seq.Sequence
               }

func New (a Any) *stack {
  return &stack { seq.New (a) }
}

func (x *stack) Push (a Any) {
  x.Seek (0)
  x.Ins (a)
}

func (x *stack) Pop() {
  if x.Empty() { return }
  x.Seek (0)
  x.Del()
}

func (x *stack) Top() Any {
  if x.Empty() { return nil }
  x.Seek (0)
  return x.Get()
}
